<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.model.mapper.AppletAnswerBaseMapper">
    
    <resultMap type="AppletAnswerBase" id="AppletAnswerBaseResult">
        <result property="id"    column="id"    />
        <result property="questionId"    column="question_id"    />
        <result property="answerId"    column="answer_id"    />
        <result property="userId"    column="user_id"    />
        <result property="delFlag"    column="del_flag"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
    </resultMap>

    <sql id="selectAppletAnswerBaseVo">
        select id, question_id, answer_id, user_id, del_flag, create_by, create_time, update_by, update_time from applet_answer_base
    </sql>

    <select id="selectAppletAnswerBaseList" parameterType="AppletAnswerBase" resultMap="AppletAnswerBaseResult">
        <include refid="selectAppletAnswerBaseVo"/>
        <where>  
            <if test="questionId != null "> and question_id = #{questionId}</if>
            <if test="answerId != null "> and answer_id = #{answerId}</if>
            <if test="userId != null "> and user_id = #{userId}</if>
        </where>
    </select>
    
    <select id="selectAppletAnswerBaseById" parameterType="AppletAnswerBase" resultMap="AppletAnswerBaseResult">
        <include refid="selectAppletAnswerBaseVo"/>
        where id = #{id}
    </select>

    <insert id="insertAppletAnswerBase" parameterType="AppletAnswerBase" useGeneratedKeys="true" keyProperty="id">
        insert into applet_answer_base
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="questionId != null">question_id,</if>
            <if test="answerId != null">answer_id,</if>
            <if test="userId != null">user_id,</if>
            <if test="delFlag != null">del_flag,</if>
            <if test="createBy != null">create_by,</if>
            <if test="createTime != null">create_time,</if>
            <if test="updateBy != null">update_by,</if>
            <if test="updateTime != null">update_time,</if>
         </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="questionId != null">#{questionId},</if>
            <if test="answerId != null">#{answerId},</if>
            <if test="userId != null">#{userId},</if>
            <if test="delFlag != null">#{delFlag},</if>
            <if test="createBy != null">#{createBy},</if>
            <if test="createTime != null">#{createTime},</if>
            <if test="updateBy != null">#{updateBy},</if>
            <if test="updateTime != null">#{updateTime},</if>
         </trim>
    </insert>

    <update id="updateAppletAnswerBase" parameterType="AppletAnswerBase">
        update applet_answer_base
        <trim prefix="SET" suffixOverrides=",">
            <if test="questionId != null">question_id = #{questionId},</if>
            <if test="answerId != null">answer_id = #{answerId},</if>
            <if test="userId != null">user_id = #{userId},</if>
            <if test="delFlag != null">del_flag = #{delFlag},</if>
            <if test="createBy != null">create_by = #{createBy},</if>
            <if test="createTime != null">create_time = #{createTime},</if>
            <if test="updateBy != null">update_by = #{updateBy},</if>
            <if test="updateTime != null">update_time = #{updateTime},</if>
        </trim>
        where id = #{id}
    </update>

    <delete id="deleteAppletAnswerBaseById" parameterType="Long">
        delete from applet_answer_base where id = #{id}
    </delete>

    <delete id="deleteAppletAnswerBaseByIds" parameterType="String">
        delete from applet_answer_base where id in 
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>
</mapper>